# -*- encoding: utf-8 -*-
# stub: awesome_print 1.8.0 ruby lib

Gem::Specification.new do |s|
  s.name = "awesome_print".freeze
  s.version = "1.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael Dvorkin".freeze]
  s.date = "2018-07-28"
  s.description = "Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins".freeze
  s.email = "mike@dvorkin.net".freeze
  s.files = [".gitignore".freeze, "Appraisals".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "Gemfile.lock".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/ap.rb".freeze, "lib/awesome_print.rb".freeze, "lib/awesome_print/colorize.rb".freeze, "lib/awesome_print/core_ext/awesome_method_array.rb".freeze, "lib/awesome_print/core_ext/class.rb".freeze, "lib/awesome_print/core_ext/kernel.rb".freeze, "lib/awesome_print/core_ext/logger.rb".freeze, "lib/awesome_print/core_ext/method.rb".freeze, "lib/awesome_print/core_ext/object.rb".freeze, "lib/awesome_print/core_ext/string.rb".freeze, "lib/awesome_print/custom_defaults.rb".freeze, "lib/awesome_print/ext/action_view.rb".freeze, "lib/awesome_print/ext/active_record.rb".freeze, "lib/awesome_print/ext/active_support.rb".freeze, "lib/awesome_print/ext/mongo_mapper.rb".freeze, "lib/awesome_print/ext/mongoid.rb".freeze, "lib/awesome_print/ext/nobrainer.rb".freeze, "lib/awesome_print/ext/nokogiri.rb".freeze, "lib/awesome_print/ext/ostruct.rb".freeze, "lib/awesome_print/ext/ripple.rb".freeze, "lib/awesome_print/ext/sequel.rb".freeze, "lib/awesome_print/formatter.rb".freeze, "lib/awesome_print/formatters.rb".freeze, "lib/awesome_print/formatters/array_formatter.rb".freeze, "lib/awesome_print/formatters/base_formatter.rb".freeze, "lib/awesome_print/formatters/class_formatter.rb".freeze, "lib/awesome_print/formatters/dir_formatter.rb".freeze, "lib/awesome_print/formatters/file_formatter.rb".freeze, "lib/awesome_print/formatters/hash_formatter.rb".freeze, "lib/awesome_print/formatters/method_formatter.rb".freeze, "lib/awesome_print/formatters/object_formatter.rb".freeze, "lib/awesome_print/formatters/simple_formatter.rb".freeze, "lib/awesome_print/formatters/struct_formatter.rb".freeze, "lib/awesome_print/indentator.rb".freeze, "lib/awesome_print/inspector.rb".freeze, "lib/awesome_print/version.rb".freeze, "spec/active_record_helper.rb".freeze, "spec/colors_spec.rb".freeze, "spec/core_ext/logger_spec.rb".freeze, "spec/core_ext/string_spec.rb".freeze, "spec/ext/action_view_spec.rb".freeze, "spec/ext/active_record_spec.rb".freeze, "spec/ext/active_support_spec.rb".freeze, "spec/ext/mongo_mapper_spec.rb".freeze, "spec/ext/mongoid_spec.rb".freeze, "spec/ext/nobrainer_spec.rb".freeze, "spec/ext/nokogiri_spec.rb".freeze, "spec/ext/ostruct_spec.rb".freeze, "spec/ext/ripple_spec.rb".freeze, "spec/formats_spec.rb".freeze, "spec/methods_spec.rb".freeze, "spec/misc_spec.rb".freeze, "spec/objects_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/active_record_data.rb".freeze, "spec/support/active_record_data/3_2_diana.txt".freeze, "spec/support/active_record_data/3_2_diana_legacy.txt".freeze, "spec/support/active_record_data/3_2_multi.txt".freeze, "spec/support/active_record_data/3_2_multi_legacy.txt".freeze, "spec/support/active_record_data/4_0_diana.txt".freeze, "spec/support/active_record_data/4_0_multi.txt".freeze, "spec/support/active_record_data/4_1_diana.txt".freeze, "spec/support/active_record_data/4_1_multi.txt".freeze, "spec/support/active_record_data/4_2_diana.txt".freeze, "spec/support/active_record_data/4_2_diana_legacy.txt".freeze, "spec/support/active_record_data/4_2_multi.txt".freeze, "spec/support/active_record_data/4_2_multi_legacy.txt".freeze, "spec/support/active_record_data/5_0_diana.txt".freeze, "spec/support/active_record_data/5_0_multi.txt".freeze, "spec/support/ext_verifier.rb".freeze, "spec/support/mongoid_versions.rb".freeze, "spec/support/rails_versions.rb".freeze]
  s.homepage = "https://github.com/awesome-print/awesome_print".freeze
  s.licenses = ["MIT".freeze]
  s.rubyforge_project = "awesome_print".freeze
  s.rubygems_version = "2.7.6".freeze
  s.summary = "Pretty print Ruby objects with proper indentation and colors".freeze
  s.test_files = ["spec/active_record_helper.rb".freeze, "spec/colors_spec.rb".freeze, "spec/core_ext/logger_spec.rb".freeze, "spec/core_ext/string_spec.rb".freeze, "spec/ext/action_view_spec.rb".freeze, "spec/ext/active_record_spec.rb".freeze, "spec/ext/active_support_spec.rb".freeze, "spec/ext/mongo_mapper_spec.rb".freeze, "spec/ext/mongoid_spec.rb".freeze, "spec/ext/nobrainer_spec.rb".freeze, "spec/ext/nokogiri_spec.rb".freeze, "spec/ext/ostruct_spec.rb".freeze, "spec/ext/ripple_spec.rb".freeze, "spec/formats_spec.rb".freeze, "spec/methods_spec.rb".freeze, "spec/misc_spec.rb".freeze, "spec/objects_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/active_record_data.rb".freeze, "spec/support/active_record_data/3_2_diana.txt".freeze, "spec/support/active_record_data/3_2_diana_legacy.txt".freeze, "spec/support/active_record_data/3_2_multi.txt".freeze, "spec/support/active_record_data/3_2_multi_legacy.txt".freeze, "spec/support/active_record_data/4_0_diana.txt".freeze, "spec/support/active_record_data/4_0_multi.txt".freeze, "spec/support/active_record_data/4_1_diana.txt".freeze, "spec/support/active_record_data/4_1_multi.txt".freeze, "spec/support/active_record_data/4_2_diana.txt".freeze, "spec/support/active_record_data/4_2_diana_legacy.txt".freeze, "spec/support/active_record_data/4_2_multi.txt".freeze, "spec/support/active_record_data/4_2_multi_legacy.txt".freeze, "spec/support/active_record_data/5_0_diana.txt".freeze, "spec/support/active_record_data/5_0_multi.txt".freeze, "spec/support/ext_verifier.rb".freeze, "spec/support/mongoid_versions.rb".freeze, "spec/support/rails_versions.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<appraisal>.freeze, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
      s.add_development_dependency(%q<fakefs>.freeze, [">= 0.2.1"])
      s.add_development_dependency(%q<nokogiri>.freeze, [">= 1.6.5"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 3.0.0"])
      s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
    else
      s.add_dependency(%q<appraisal>.freeze, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
      s.add_dependency(%q<fakefs>.freeze, [">= 0.2.1"])
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.6.5"])
      s.add_dependency(%q<rspec>.freeze, [">= 3.0.0"])
      s.add_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<appraisal>.freeze, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
    s.add_dependency(%q<fakefs>.freeze, [">= 0.2.1"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.6.5"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.0.0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
  end
end
